GNU bug report logs - #33230
26.1; Soft-wrap issue in term.el with term-suppress-hard-newline

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bruno CHARRON <bruno@HIDDEN>; Keywords: confirmed; dated Thu, 1 Nov 2018 18:31:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 18 Nov 2018 09:22:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 18 04:22:42 2018
Received: from localhost ([127.0.0.1]:58307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gOJHu-0007Hs-Mx
	for submit <at> debbugs.gnu.org; Sun, 18 Nov 2018 04:22:42 -0500
Received: from mout.gmx.net ([212.227.15.15]:43117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gOJHt-0007He-6B
 for 33230 <at> debbugs.gnu.org; Sun, 18 Nov 2018 04:22:41 -0500
Received: from [192.168.1.101] ([212.95.5.128]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MBmvH-1gGqNH1mQZ-00ApSc; Sun, 18
 Nov 2018 10:22:28 +0100
Message-ID: <5BF12F52.8060808@HIDDEN>
Date: Sun, 18 Nov 2018 10:22:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Bruno CHARRON <bruno@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 <87bm76j496.fsf@HIDDEN>
 <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
 <5BDEB6CD.2050407@HIDDEN> <5BDEC244.3040002@HIDDEN>
 <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
In-Reply-To: <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:ivKUs105B/YhPTt3kepZhoYlwcfDgL7r7hiKO2jZJdIDHiANR67
 JtGYFJ+fKi+u2OBwLbQUxC0XE4rq4AVzMW7L5yTPgxfGhxqGi7o0BSjjtKRdQPbb8NLTMMQ
 4Oa4oQvI+V/w6EI4ykPYuQ+ITrzkm32SiurbMwnv/4oGdhC6t7Xmw6lMMXoMrfczRak6L2j
 1VMHxTVJQgT0jkM9PFS2A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:oh+LhJgya6s=:cq1Mn5r9tr5dHtGoiAVkQL
 Gj3416yxmmb490N4oLUtKpQhv2tT6hcd162rnEqK5x1hRh+QzRXtmVtOctxWn38OuTZWyq3uv
 ZMLf87nKtLU35hJblABt7FQNVCYIe2iMCg1R3/OOdbtt+oORHQHxXMoOus9+VycuY5XGEEgWI
 g5BV44iKF10nqfT704+DXNnz0asSUtg8rPkT/IrPh2cm+6WqOaDeJC2s1weX41C6QGOsh1ldS
 CnU5GqgH/vSXKsz5t4/XxMpB1QXFEp1D2LA2kr4UeuFPvtqtllez3WeCCl1LLtsJ10/5TgH47
 45pvLJrqVOOoXzLBhSfJcWbCknqlRNEsGTwFs7s5VickdsItPZLoCCstgzRZrcm3ihhzuWa7R
 MqdXzrzAlKAOpsJZ68kLQwHHplbEm3dDd6xl/1j76hG9wVLNsFozeeG+vGkYKFmTx2RfXIlTo
 N5/FtFVXcqO5TKq3B2j1cCCB5wtDcHpgMuD3fDJDhFpF+wV8ZIabdywV9FGsNorpBnL66jNUY
 z4sbrPhRIUgtbbSd+ekXWzRdBubPGPaKwyzb9PvUAUVzqVgoXYUAVAEbYxn1FrT248D5k2vEs
 vFzdKHAM64NiJDSM69i5jvtV1hjzGxwHEBh/EXbdGS6/WUbxusB7HlZac4Am1Kw75mf/htJAi
 cYm7YV61szKtkBr86I6WAf+rnFOhpIS2CaCsmjvS3buCwhT+c6i3K7YXCRPmiybt8BuGqhsqQ
 faFZmwL9nI6oB2qzKPEudHaIZutp4dWvMtH5yh0bcAklJiIa8pnB0xarlZQRS8qJ38rLtJ3e/
 +gIhkYXYJVT4DofP0kAON6TJqNxAKBw+BovpAR1xuY+XeLbyO2HvnYwAXwsjzz+FLxEbnKIet
 Yty8mtMg7CBdWX0tWwOU5B88XQgaJMMOcVNZ0/rgWvZh/u079mcd0prgS7FTNO
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org, Noam Postavsky <npostavs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Thanks martin, I confirm that after applying your patch on the 26.1
 > release, COLUMNS is correctly updated in the shell at each frame
 > resize while it is not without the patch.

I applied a different fix provided by Gary Fredericks to the release
branch now.  Please test that.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 14 Nov 2018 15:36:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 10:36:59 2018
Received: from localhost ([127.0.0.1]:52414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMxDv-00014j-Fe
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 10:36:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gMxDt-00014V-SD
 for 33230 <at> debbugs.gnu.org; Wed, 14 Nov 2018 10:36:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gMxDm-0000AE-5C
 for 33230 <at> debbugs.gnu.org; Wed, 14 Nov 2018 10:36:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39240)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gMxDg-0008Vl-Ae; Wed, 14 Nov 2018 10:36:46 -0500
Received: from [176.228.60.248] (port=1166 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gMxDf-0003XI-5N; Wed, 14 Nov 2018 10:36:44 -0500
Date: Wed, 14 Nov 2018 17:36:40 +0200
Message-Id: <837ehf8yd3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5BEBDDB9.20401@HIDDEN> (message from martin rudalics on Wed, 14
 Nov 2018 09:32:57 +0100)
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 <87bm76j496.fsf@HIDDEN>
 <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
 <5BDEB6CD.2050407@HIDDEN> <5BDEC244.3040002@HIDDEN>
 <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
 <5BEA9469.7080502@HIDDEN> <83muqc99rf.fsf@HIDDEN> <5BEBDDB9.20401@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org, bruno@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Wed, 14 Nov 2018 09:32:57 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: bruno@HIDDEN, npostavs@HIDDEN, 33230 <at> debbugs.gnu.org
> 
> At the end it says:
> 
>    Another issue I found that may need to be addressed to get a behavior
>    similar to gnome-terminal above is that the shell is not aware
>    (checking $COLUMS) of when the frame is resized, only when its window
>    is resized and there is another window on the side.
> 
>  > and (2) the ELisp
>  > manual explicitly says that "resizing the frame or individual windows
>  > do not count as configuration changes", and thus this hook shouldn't
>  > be run when the frame is resized.
>  >
>  > So how does the proposed change fix the problem at hand,
> 
> By running 'window-configuration-change-hook' for frame resizes as
> with Emacs 25.
> 
>  > and why do
>  > you want to do exactly what the ELisp manual says we don't?
> 
> The Elisp manual doesn't represent the facts because we still run the
> hook when resizing single windows.  The idea behind that text was to
> avoid that new code runs 'window-configuration-change-hook' to trace
> window size changes because that is unreliable (not all size changes
> are caught) and costly (it's often run when no sizes changed at all).
> Also NEWS warned that
> 
> *** Resizing a frame no longer runs 'window-configuration-change-hook'.
> 'window-size-change-functions' should be used instead.
> 
> and I checked known clients of 'window-configuration-change-hook'
> whether they should call 'window-size-change-functions' instead.
> Little did I expect to find such a client in window.el though, so this
> went unnoticed.

So you propose to fix something not directly related to the current
bug by reverting to pre-Emacs 26 behavior, and also make NEWS and the
manual consistent with the change?  If so, I'm okay with doing that on
the emacs-26 branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 14 Nov 2018 08:33:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 14 03:33:25 2018
Received: from localhost ([127.0.0.1]:50917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMqc1-00012I-LC
	for submit <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:33:25 -0500
Received: from mout.gmx.net ([212.227.15.19]:41799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gMqbv-00011y-Ah
 for 33230 <at> debbugs.gnu.org; Wed, 14 Nov 2018 03:33:20 -0500
Received: from [192.168.1.101] ([212.95.5.83]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MUZKF-1fvah131Up-00RG4l; Wed, 14
 Nov 2018 09:33:04 +0100
Message-ID: <5BEBDDB9.20401@HIDDEN>
Date: Wed, 14 Nov 2018 09:32:57 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 <87bm76j496.fsf@HIDDEN>
 <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
 <5BDEB6CD.2050407@HIDDEN> <5BDEC244.3040002@HIDDEN>
 <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
 <5BEA9469.7080502@HIDDEN> <83muqc99rf.fsf@HIDDEN>
In-Reply-To: <83muqc99rf.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:I1ka981aLZv49Sz3+fpe1fGw+7KzCavH+rHfSdb1ehDakf5gYYo
 b6PPRbZ8ACH+0zsWg+RRhofiJwFRmi4vFPT9NsVQot/h6Qai6vAnJDL5OjMbiKRPE+NI2c/
 +XUq7qnpUtzeJqXscsRf+17kGxWKFKOs7b43SNiI/fFlFV3pLneAIZL9uJR23ijke/e4QSS
 IbaE1L7XgTNAF0hilEoyg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:nM46f8bVk0o=:v/rknfHF1u6bnu8Gr5EAJd
 UXUaJJNVrkMsOiE9mGid7iQMUDzFFT/KNeKHzS7elOG2w+0a+LiGBgJy5xwCmnKJw/bK8NZIm
 6rybDzhV1ePChCBIgr7On3jJROltr76AUFsBxOGQ3eZuCErUoreuNMnrPXfRxTyjrQ/+zLiq4
 wT1COnV4XnVYUVbdRCOACPMzaBja4DoU7NCLsAcpiGaEc3Cvk9YPcSWgu/xvSYMa3tg/RU8jc
 AcXC9ndlNMCNSbWpp+Xf/2uwrgy/sfUXZKrDoSU8Xnnjnoa/uEGrVF7tEQfRW4V4Eg1gTUIOp
 dWcvLI+phVy+/bxsByZuwISi+dWqnWFMm+Rd+UqGnhlQjNVqyfs7oaBEvV9PifkF5AjAIqyck
 8Tx2a93C7C2UPRqQ7xwU71C/9K7/1BNYcaT3hUYMwSpqyiMIsczDimPlASrF4w0ggCZee/8yr
 QX9CM4dPcq2d4MVKCp5kwWeCdzYjzTCX12014ygN4cFOyOXllwPFW9hGHjgKex+CDhsNa2BVv
 pnejU9vA2gj5q6XrnZx7F8kSIbEkutb2QocaePUuYBb+Nj/yMKlHFv5wVDU50+HkJKGFpN3qQ
 5Uar9ox1jyjRf7BL8hNtrZ5zwg1/LimOtwGKYBDwa01ROH3UqfYXQOx6KGrX2ZNCqCJNhZZdb
 mP7KBykkBq175+FtAWbrHBFTHxDBwY0BKBLR9IcqFjhiK8zcB0uHm/sgTFwNDUtmNxEGaICby
 ZTFJUjH4rTopvamfA0chhMEd51eKpiT9b++ic7kAkPeS+9MczNGgejPkfmbSV32zc5E1LNIov
 bIjKb9pIemr2wuLEGPQq0Oq0ZE09jiY8enB2/QBxiP8j3QXTxrpN/bNuImvTgjh4O1gYJhSYg
 r/vymd4lqZ1EiFtVw2k/2+FtWJprp2Xkk6Eky3U/SpBiQTZou3n/TW78Z4LaKn
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org, bruno@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> FWIW this is Bug#32720 for which I am responsible.  It will be fixed
 >> in Emacs 26.2 by reestablishing the behavior of Emacs 25.
 >
 > And your proposed change runs window-configuration-change-hook in two
 > additional places.

Right.

 > My confusion about this is twofold: (1) the original report for this
 > bug doesn't seem to involve any resizing of a frame,

At the end it says:

   Another issue I found that may need to be addressed to get a behavior
   similar to gnome-terminal above is that the shell is not aware
   (checking $COLUMS) of when the frame is resized, only when its window
   is resized and there is another window on the side.

 > and (2) the ELisp
 > manual explicitly says that "resizing the frame or individual windows
 > do not count as configuration changes", and thus this hook shouldn't
 > be run when the frame is resized.
 >
 > So how does the proposed change fix the problem at hand,

By running 'window-configuration-change-hook' for frame resizes as
with Emacs 25.

 > and why do
 > you want to do exactly what the ELisp manual says we don't?

The Elisp manual doesn't represent the facts because we still run the
hook when resizing single windows.  The idea behind that text was to
avoid that new code runs 'window-configuration-change-hook' to trace
window size changes because that is unreliable (not all size changes
are caught) and costly (it's often run when no sizes changed at all).
Also NEWS warned that

*** Resizing a frame no longer runs 'window-configuration-change-hook'.
'window-size-change-functions' should be used instead.

and I checked known clients of 'window-configuration-change-hook'
whether they should call 'window-size-change-functions' instead.
Little did I expect to find such a client in window.el though, so this
went unnoticed.

We could add a call to 'window-size-change-functions' as Gary proposed
in the report of Bug#32720.  But then 'window--adjust-process-windows'
would be run by both 'window-configuration-change-hook' and
'window-size-change-functions' effectively increasing the number of
calls of that function instead of decreasing it.  If you prefer that
solution we can certainly do it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 13 Nov 2018 17:18:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 13 12:18:36 2018
Received: from localhost ([127.0.0.1]:50562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMcKh-0004IL-Uj
	for submit <at> debbugs.gnu.org; Tue, 13 Nov 2018 12:18:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59963)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gMcKh-0004I6-0t
 for 33230 <at> debbugs.gnu.org; Tue, 13 Nov 2018 12:18:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gMcKP-0000S3-1d
 for 33230 <at> debbugs.gnu.org; Tue, 13 Nov 2018 12:18:21 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44204)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gMcKO-0000Rr-T1; Tue, 13 Nov 2018 12:18:16 -0500
Received: from [176.228.60.248] (port=3994 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gMcKO-0000vc-GX; Tue, 13 Nov 2018 12:18:16 -0500
Date: Tue, 13 Nov 2018 19:18:12 +0200
Message-Id: <83muqc99rf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5BEA9469.7080502@HIDDEN> (message from martin rudalics on Tue,
 13 Nov 2018 10:07:53 +0100)
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 <87bm76j496.fsf@HIDDEN>
 <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
 <5BDEB6CD.2050407@HIDDEN> <5BDEC244.3040002@HIDDEN>
 <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
 <5BEA9469.7080502@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org, bruno@HIDDEN, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Tue, 13 Nov 2018 10:07:53 +0100
> From: martin rudalics <rudalics@HIDDEN>
> CC: Noam Postavsky <npostavs@HIDDEN>, 33230 <at> debbugs.gnu.org, 
>  "eliz@HIDDEN" <eliz@HIDDEN>
> 
>  >> Attached find a patch for this against the release branch.  Please try
>  >> it.
>  >
>  > Thanks martin, I confirm that after applying your patch on the 26.1
>  > release, COLUMNS is correctly updated in the shell at each frame
>  > resize while it is not without the patch.
> 
> Eli - is this OK to install on the release branch?  It restores the
> behavior of Emacs 25 to fix a bug introduced in 26.1.

I'm too confused about this to be able to make up my mind.  Please
help me figure out what am I missing.

You said up-thread:

> > Another issue I found that may need to be addressed to get a behavior
> > similar to gnome-terminal above is that the shell is not aware
> > (checking $COLUMS) of when the frame is resized, only when its window
> > is resized and there is another window on the side.
> 
> FWIW this is Bug#32720 for which I am responsible.  It will be fixed
> in Emacs 26.2 by reestablishing the behavior of Emacs 25.

And your proposed change runs window-configuration-change-hook in two
additional places.

My confusion about this is twofold: (1) the original report for this
bug doesn't seem to involve any resizing of a frame, and (2) the ELisp
manual explicitly says that "resizing the frame or individual windows
do not count as configuration changes", and thus this hook shouldn't
be run when the frame is resized.

So how does the proposed change fix the problem at hand, and why do
you want to do exactly what the ELisp manual says we don't?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 13 Nov 2018 09:08:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 13 04:08:50 2018
Received: from localhost ([127.0.0.1]:48576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMUgk-0002el-6J
	for submit <at> debbugs.gnu.org; Tue, 13 Nov 2018 04:08:50 -0500
Received: from mout.gmx.net ([212.227.15.18]:51645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gMUgi-0002eY-B9
 for 33230 <at> debbugs.gnu.org; Tue, 13 Nov 2018 04:08:48 -0500
Received: from [192.168.1.101] ([213.162.73.32]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MYOY5-1g0rBW3PLF-00V82n; Tue, 13
 Nov 2018 10:07:59 +0100
Message-ID: <5BEA9469.7080502@HIDDEN>
Date: Tue, 13 Nov 2018 10:07:53 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Bruno CHARRON <bruno@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 <87bm76j496.fsf@HIDDEN>
 <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
 <5BDEB6CD.2050407@HIDDEN> <5BDEC244.3040002@HIDDEN>
 <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
In-Reply-To: <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:WeMRBYwQNYIdBZzidjAMkaT8B2rGkzAp8fqVZ3P1iTwgU59NIul
 miopNUn2QrontMJxpyUINqdiHaGDL3DmzExVmWgJlNr0VVGglAqct5OJ1t0oSdXKhsT7Zm0
 ILbrSx+cmpgeFkVCzEfL6NJuhfxVPFJSAOL4y+iFkEeHHn3Lqw5wrkMrOmgYcQDDyWpQ8XJ
 /ek7Q6hNl8n5mko0uqcQA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:xpUWzhm4WJE=:OpZi2IgeiKR7eEv0PpNsrt
 T5U+f+9qH+CszgpSa6vJdeg2z0bRWNm83n5AK0l4h1pwzMtel/ebgEWYXKZ8Vhp/oBTMQDGwf
 Yu9fKsuJCXPxmqdMqYBD8ajNBGnc0LJG/qsHv03y/3m2sJJ2jOJ5n6ybOomsfdmxM87/c2I+d
 RYmfRI8kNGz0GzlbQtJ5l99GL20EkyK7P3dyouQeYhrwMQUPKm42deHNKs26Y1Tjab1WcvEQX
 X/XeSEwgQF5IaTiVnfFR5FOMIaAxkrkt/JHIAusSysv758I/ys7AE7UNn08v2ERUOrdXY94M9
 odbK+iPhoUrZuzsZWMcTeGiNSXNeFAqaV8Z+Ed6WCCYr/Ha+sA2k+9IT5j3qq6pbVafPpwAZK
 aYPeRESg+BqhJ1gv+M0kDuq4tjuRHdfAIvvQtjOO8qDPL7Vp37AGcMZofn1BA33y5i1mdEzzn
 ETYFdul69AU3XpBdnZel/K58733l9kPw/YiYajLUnFjoSc0RKQi4nFE1xadczhMoCS+Gu/Pxm
 cdlIs2WSjOUPl846u2Vt2/DwltGXoXxMovM9bMmCVXdKI8S1Rl1ZHnc8ti0hzLUTbP1KGXC9Q
 jY73NiZhlYMW0JY34DwmXLFTeoBvqwJkO47k79RgKyP/ypqKHnSTSSyRAbxJofUHncioQDTQg
 Bw7ITbDHvdbfx6OWHmSy6Zji98ArkrIOAcu6EJ/1V9quPielpH89jUDmE/MapHWT3dsuMpaRX
 SPB48KL4MqYchhJm+NopzkXFfOH0B4nwIECGP01v5wpifexQRyp4Mt30ABhG6sCfibHf3d+zR
 8EpuowiKLK5+zCx3hl7nQy+B2JcGmaJL1ZBdSAVvCgQ2xZYK5ul3ddfpkVRZOzFiWXesNW7pe
 21D3vD0MOANABdxSm+lnSAJxhGbmsqgkwskuFjaAaxu2xG83G/EbV2Jiel1fce
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org, "eliz@HIDDEN" <eliz@HIDDEN>,
 Noam Postavsky <npostavs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> Attached find a patch for this against the release branch.  Please try
 >> it.
 >
 > Thanks martin, I confirm that after applying your patch on the 26.1
 > release, COLUMNS is correctly updated in the shell at each frame
 > resize while it is not without the patch.

Eli - is this OK to install on the release branch?  It restores the
behavior of Emacs 25 to fix a bug introduced in 26.1.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 4 Nov 2018 11:06:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 06:06:56 2018
Received: from localhost ([127.0.0.1]:33383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJGF6-0004u1-CX
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 06:06:56 -0500
Received: from mx1.polytechnique.org ([129.104.30.34]:40483)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=NSiq=NP=charron.email=bruno@HIDDEN>)
 id 1gJGF3-0004tt-Vf
 for 33230 <at> debbugs.gnu.org; Sun, 04 Nov 2018 06:06:54 -0500
Received: from mail-wm1-f47.google.com (mail-wm1-f47.google.com
 [209.85.128.47])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by ssl.polytechnique.org (Postfix) with ESMTPSA id B5F8F5648AA
 for <33230 <at> debbugs.gnu.org>; Sun,  4 Nov 2018 12:06:50 +0100 (CET)
Received: by mail-wm1-f47.google.com with SMTP id r63-v6so5560345wma.4
 for <33230 <at> debbugs.gnu.org>; Sun, 04 Nov 2018 03:06:50 -0800 (PST)
X-Gm-Message-State: AGRZ1gIQIrz1nEpossUyjuk1UnhxKzQg3PYhwht1tO7gDKOJHGjQuPtR
 EwSh59JQASSuaK1TOCQ+oUEJQASMrWPHcZL3ReM=
X-Google-Smtp-Source: AJdET5cK67H6+/XjwpNnaN1iacobhGt1PSH3qaIL3ih07K9cn29ifyThePmQ+1d0pVH+0QOGmrFBBX4XI0IWUK0MtMI=
X-Received: by 2002:a1c:4d2:: with SMTP id
 201-v6mr2935324wme.133.1541329610056; 
 Sun, 04 Nov 2018 03:06:50 -0800 (PST)
MIME-Version: 1.0
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 <87bm76j496.fsf@HIDDEN>
 <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
 <5BDEB6CD.2050407@HIDDEN> <5BDEC244.3040002@HIDDEN>
In-Reply-To: <5BDEC244.3040002@HIDDEN>
From: Bruno CHARRON <bruno@HIDDEN>
Date: Sun, 4 Nov 2018 20:06:25 +0900
X-Gmail-Original-Message-ID: <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
Message-ID: <CAKx9rsz5cPuOKA9Ce6rcOFaw4WgVoKhhkXbxe98r+fWtOKu9og@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
To: rudalics@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-AV-Checked: ClamAV using ClamSMTP at svoboda.polytechnique.org (Sun Nov 4
 12:06:50 2018 +0100 (CET))
X-Spam-Flag: No, tests=bogofilter, spamicity=0.323535, queueID=EAAE05648AC
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org, Noam Postavsky <npostavs@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)

>  > FWIW this is Bug#32720 for which I am responsible.  It will be fixed
>  > in Emacs 26.2 by reestablishing the behavior of Emacs 25.
>
> Attached find a patch for this against the release branch.  Please try
> it.

Thanks martin, I confirm that after applying your patch on the 26.1
release, COLUMNS is correctly updated in the shell at each frame
resize while it is not without the patch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 4 Nov 2018 09:56:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 04:56:34 2018
Received: from localhost ([127.0.0.1]:33337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJF90-00039r-Cl
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 04:56:34 -0500
Received: from mout.gmx.net ([212.227.17.22]:45939)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gJF8y-00039e-Pn
 for 33230 <at> debbugs.gnu.org; Sun, 04 Nov 2018 04:56:33 -0500
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MEccf-1gLmOL1ZFJ-00FhX0; Sun, 04
 Nov 2018 10:56:20 +0100
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MEccf-1gLmOL1ZFJ-00FhX0; Sun, 04
 Nov 2018 10:56:20 +0100
Message-ID: <5BDEC244.3040002@HIDDEN>
Date: Sun, 04 Nov 2018 10:56:20 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Bruno CHARRON <bruno@HIDDEN>, Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>	<87h8h0if4u.fsf@HIDDEN>	<CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>	<87bm76j496.fsf@HIDDEN>	<CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
 <5BDEB6CD.2050407@HIDDEN>
In-Reply-To: <5BDEB6CD.2050407@HIDDEN>
Content-Type: multipart/mixed; boundary="------------080000000605020707000600"
X-Provags-ID: V03:K1:PWAEEJfa2zbqvz0WtAZNkgpNRqURL8PEyQMesAoa3ldV3ckyq8c
 nhQ0mvpjNIPL3AhRsv+iiZnGiDFW5wubafy502emMWfcVpNYNRv73lIVeLXXV2LOWb6jHrr
 v91uHUEsvpNG94kuvzmo4Ov0LWdaM7lFLcaDVYPb9g41qiqHxalhKOkBOUL6HrZR/ondiGt
 8vgpqqAiXSBeCMj8J4Kug==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:FTZoz6zdh0I=:m/UaVsU+ViG/O2Vu69gPfQ
 UK0rCzJCwkrA/VQdTlquCP+KuP6qzmcCu0btzo0j8evIpvFdpgqTZEbRVOcY6mhUKIE7FsHln
 kMIUtXbXudci7DRHiEstf3uSWK0Cal2Zx2GbEo2hp6nua0xDHACbYBKaaOcZmnN9zrFHcxa/R
 ZsUSGzwql7ThxerDfMU2TNqhkj6rVxjV2dOq6/a4hhd9Z2n1/vtHagJ355i4MdEW5jAOabAjJ
 WSEPxKAMPSmOLN+/eyVJhwrH90HZjQIXwrk2HVsXcMCCMWRWSh82TKh93CWamjTQkxd9DBzxW
 ef9Ij7kL+pKHRZf9801op+094Hr1HbA180celceajCQpQcE3YoIShyfaBwHEBP1Xf8D8ewbGr
 JUiUM1g+DJHbCVj0dgYMKn2TkGYWvEYPLLJj8sqbliNVprBj1EmBEdjMJcu0RYI91XG4kCT4c
 zSLjnZlSfeT2uNPbE3/2yAqxjbJPnvidLt9Ba1Geofn49ifQOAv7/jV3ntGwM5+ckTRRF5L2x
 TIlYXZRGICFDgPXTwYTSDvwmTKk+vRDJrCmetuKU38EZkEOHTxNZ/P35mJzkRLoC8ZIGydR2u
 1jDYpbgpCbc8b6kxrAHoKtvMIbCMNnoHyvzlht3+lk+D7rip0IZv/lELQ5SNAtajMf+aTv9Z4
 YjoV3Wl3T5FUyuc3sxd1JlXhZ7Ao+L5ypj+ljQiRD8KMnyMI5h+8lYFmdCCOH3o5D4JtoFuBA
 cqXSZhT+LR3/gyUYwGEa9LcvKJyBAyQKQhZSg5dccTwGv//dHVXqSs4J9HsJMn2aeTv090RW0
 +AegsWxev6MTmZjyqKq+EMl9jhAiw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------080000000605020707000600
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit

 > FWIW this is Bug#32720 for which I am responsible.  It will be fixed
 > in Emacs 26.2 by reestablishing the behavior of Emacs 25.

Attached find a patch for this against the release branch.  Please try
it.

Thanks, martin

--------------080000000605020707000600
Content-Type: text/plain; charset=windows-1252;
 name="run-window-configuration-change.diff"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="run-window-configuration-change.diff"
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--------------080000000605020707000600--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 4 Nov 2018 09:07:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 04:07:40 2018
Received: from localhost ([127.0.0.1]:33314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJENf-0001wa-VS
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 04:07:40 -0500
Received: from mout.gmx.net ([212.227.17.20]:45705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gJENc-0001wK-NL
 for 33230 <at> debbugs.gnu.org; Sun, 04 Nov 2018 04:07:38 -0500
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lb90f-1fqkFx2yFd-00kcZo; Sun, 04
 Nov 2018 10:07:24 +0100
Received: from [192.168.1.101] ([46.125.249.115]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lb90f-1fqkFx2yFd-00kcZo; Sun, 04
 Nov 2018 10:07:24 +0100
Message-ID: <5BDEB6CD.2050407@HIDDEN>
Date: Sun, 04 Nov 2018 10:07:25 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Bruno CHARRON <bruno@HIDDEN>, Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>	<87h8h0if4u.fsf@HIDDEN>	<CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>	<87bm76j496.fsf@HIDDEN>
 <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
In-Reply-To: <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:JrzwYslAentKWatYSqV7Xw2vguhId047kvGNA6gCU4Mhui+ud0c
 sumkIfTPTqFXttmb8G5L+GH6jEaSZeeCM5y6L2zg7ghXaIHuTlYEHbIjk9vAYYgTpXHc+xB
 +klhmUWAb1i/hB3nBuCweTzvLqPqcEb5MR+i21vS7zvomxE9V32YXFw3DnVDlTeIbDNiWLF
 U3NV6GAy1iT6tXm+dzPXw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:3xtQ1MKf2yI=:sV7FcDWNxC5tRVLcvMOprI
 ZApBnQ+J5a2u8EpGmSByFpH/AQC4pmBrIcIp26uOXFkVxALe5VBKKXBErtiZlStGWIv2owaWE
 J17HhDOgGxA5nRXAOt3CCe9PIC2p0/+N8uOnLbI7riDOae3AXR0egogN455y5IMbAFAbFOY3r
 R2F1Iu9Yp74VOGsT76Gov6exIRzZZLsFzLUb/RBzAWMSboCENP5NX8ook8bw86r8kkYhLr8sC
 ktsE1+GMRdI9X1YECbe3RtlTwhk9gN5/I1z8TXntfoS5mVz2wsDtfEis02MsWbAXM0XLtLVm1
 PfosJDDF08BoY1srSx3KqVzUDDc56a3jDPII5+VSvWmgaM/bn+0pbvEXqoNJMOOB11znJvgBE
 nwN1/H3RMwN6ETBJDK1tEbTeb7Q7BcZCoXBnQryYSegiUgObz8PVdACIwaf2AwoRUgCrPpq9f
 UgbT0iW/b1DK8/avMzvqp5J3iS4rRcZFx0KffIYb39KE+c+cWOLav3QumU2DeTPBPg5TPMgd9
 +N2LN8z68XNdelcKkOoURmpR5PIW4rzrN9S0cGlx6GZ0UUDcIjaYViFXVxrnJ0y3zJQAPnuov
 wXs2GG2b60zuu+fYZcc02uDr+j81Zzd1r2ayYlgloze8Ym6TZi1NuJ55CnhOuphFXkzLws1wE
 BCV1CLAXetggbpuSK47Qpmj5HN1OiZHGjSy5KxD3wBY4xyJfhBYUCH8CV8L4Ktgcv1pCEPZz8
 wUl5IusyyWZGecrYnwgn7L0qT/k8ZcmCSQ87crvuiQi/HdJsFhi6yh7CY1IxmHlLNS1pJVkfG
 JWThEFm1A6COcDsSZCqUMSBcfku24/cIq2nHaiecKPDcc6YQharH9zJVE4bCGrZeoGN0AL0Dh
 BrK71snOZ2fpB+31axzQX37Bor9RqHfw8CfaIY0VEYs8Q8BmfdmM2Wlu0C3rXz
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Another issue I found that may need to be addressed to get a behavior
 > similar to gnome-terminal above is that the shell is not aware
 > (checking $COLUMS) of when the frame is resized, only when its window
 > is resized and there is another window on the side.

FWIW this is Bug#32720 for which I am responsible.  It will be fixed
in Emacs 26.2 by reestablishing the behavior of Emacs 25.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 4 Nov 2018 07:23:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 02:23:57 2018
Received: from localhost ([127.0.0.1]:33298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJClJ-0007t4-KC
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 02:23:57 -0500
Received: from mx1.polytechnique.org ([129.104.30.34]:56999)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=NSiq=NP=charron.email=bruno@HIDDEN>)
 id 1gJClG-0007sv-Us
 for 33230 <at> debbugs.gnu.org; Sun, 04 Nov 2018 02:23:55 -0500
Received: from mail-wr1-f51.google.com (mail-wr1-f51.google.com
 [209.85.221.51])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by ssl.polytechnique.org (Postfix) with ESMTPSA id 2EABF564762
 for <33230 <at> debbugs.gnu.org>; Sun,  4 Nov 2018 08:23:50 +0100 (CET)
Received: by mail-wr1-f51.google.com with SMTP id j17-v6so875378wrq.11
 for <33230 <at> debbugs.gnu.org>; Sun, 04 Nov 2018 00:23:50 -0700 (PDT)
X-Gm-Message-State: AGRZ1gIdAdMjEeU/38gTK6UJ4MAK9plUdG8Lo3IyjXWsiooq4gy3Ul3L
 lENL4fk7KPC60G8OYwnP6lgRkBscy7Rv55h/8TE=
X-Google-Smtp-Source: AJdET5dXKOx0P7IOzh8C2h5ZF9SZ9pAM/dGZXvdnnJ8+vjmfncpqKt2mapOtwlK4kSVA1dczAg0D9KBWC8rNYPCO2qg=
X-Received: by 2002:a5d:45c3:: with SMTP id
 b3-v6mr15048660wrs.296.1541316230380; 
 Sun, 04 Nov 2018 00:23:50 -0700 (PDT)
MIME-Version: 1.0
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 <87bm76j496.fsf@HIDDEN>
In-Reply-To: <87bm76j496.fsf@HIDDEN>
From: Bruno CHARRON <bruno@HIDDEN>
Date: Sun, 4 Nov 2018 16:23:25 +0900
X-Gmail-Original-Message-ID: <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
Message-ID: <CAKx9rsz15SP4PHJt67jMAQMegaEvP0SFCDvtU_jycSqZUH1DBQ@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
To: Noam Postavsky <npostavs@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-AV-Checked: ClamAV using ClamSMTP at svoboda.polytechnique.org (Sun Nov 4
 08:23:51 2018 +0100 (CET))
X-Spam-Flag: No, tests=bogofilter, spamicity=0.007840, queueID=602085647A5
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)

> It seems like this option is somewhat incompatible with shells, it's not
> clear what the right behaviour would be.  You say the problem is that
> there is no wrapping, but isn't term-suppress-hard-newline exactly
> intended to suppress this kind of wrapping?

The option is said to "mean[s] text can automatically reflow if the
window is resized" and I think the behavior of libvte with the rewrap
option implements that well. You can see in [1] the behavior with and
without the option in gnome-terminal 3.18.3. The option is extensively
documented here [3].

For emacs, the rewrapping is currently done well with
term-suppress-hard-newline for all lines except the command currently
edited. One solution, though non-trivial, may be to interpret the
cursor movements (from the shell) which fall within the "region" of
the last (emacs) line, corresponding to several (shell) lines if there
was wrapping, as movements within the last (emacs) line. Emacs moves
to a new line only if the shell movements take it away from the
current "region".

For example, with width 20, after typing x repeatedly, _ is the cursor
on the last column (emacs current col: 19)
$ xxxxxxxxxxxxxxxxx_
Here, the last emacs line corresponds to a "region" of one (shell) line.
Then typing x, the shell (bash) sends "x ^M" and thinks the display is
$ xxxxxxxxxxxxxxxxxx
_
but emacs still displays a single line, visually wrapped or truncated
according to emacs' config
$ xxxxxxxxxxxxxxxxxxx_
to get there, it first processes "x ", the cursor is now at column 21,
then it processes ^M and since the width is 20, it moves the cursor to
the beginning of the current (shell) line which is at column 21 - (21
% 20) = 20.
Here, the last emacs line corresponds to a "region" of two (shell) lines.
Then after hitting backspace, the shell sends
"^[[A^[[19C^[[K^M^J^M^[[K^[[A^[[19C" and thinks the display is
$ xxxxxxxxxxxxxxxxx_

(with an empty line)
and emacs shows
$ xxxxxxxxxxxxxxxxx_
to get there, it virtually moves up one line (but actually goes 20
columns left due to width = 20 so current col: 20 - 20 = 0) due to
^[[A, then 19 columns right (current col: 0 + 19 = 19) due to ^[[19C
then erases up to the end of the virtual line (before col (19 + 20) -
((19 + 20) % 20) = 20) due to ^[[K, then moves back to the beginning
of the virtual line (current col: 19 - (19 % 20) = 0) due to ^M, moves
down one virtual line (current col: 0 + 20 = 20) due to ^K, erases up
to the end of the virtual line (before col (20 + 20) - ((20 + 20) %
20) = 40) due to ^[[K, moves up one virtual line (current col 20 - 20
= 0) due to ^[[A, then 19 columns right (current col: 0 + 19 = 19).
Here, the last emacs line corresponds to a "region" of only one
(shell) lines, as the second (shell) line is empty (due to ^M^[[K) and
does not contain the cursor, so that if we execute and the shell sends
a newline ^J to print the output, the output will fall within a new
(emacs) line.

Definitely non-trivial but I don't have another solution in mind that
would give the expected behavior. I don't know how Visual Line works
but it seems the idea is similar so maybe it can be reused? Instead of
remapping the user's cursor movement to movements on the visual lines,
we would like to remap the shell's cursor movement to movements on the
visual lines instead of the logical lines.

Another issue I found that may need to be addressed to get a behavior
similar to gnome-terminal above is that the shell is not aware
(checking $COLUMS) of when the frame is resized, only when its window
is resized and there is another window on the side.

[1] https://imgur.com/a/7IwZfmy
[2] https://gitlab.gnome.org/GNOME/vte/blob/master/doc/rewrap.txt




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 24.4. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 3 Nov 2018 02:15:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 02 22:15:29 2018
Received: from localhost ([127.0.0.1]:60516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gIlTE-0004Ir-NR
	for submit <at> debbugs.gnu.org; Fri, 02 Nov 2018 22:15:28 -0400
Received: from mail-io1-f44.google.com ([209.85.166.44]:45541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1gIlTC-0004IW-4j; Fri, 02 Nov 2018 22:15:26 -0400
Received: by mail-io1-f44.google.com with SMTP id p83-v6so2680684iod.12;
 Fri, 02 Nov 2018 19:15:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=oVVyfnBTBqxSDEwJR/PAmnJtMALSSgM30586qE+wcXk=;
 b=QrzcjKU4XofwDbK7dVtr0/T1khJ/A7xAHr/3krkva3dx0kl9DauLcUMJ500FfrLCf5
 UzLKwQE4OXTnrwl5fD9Tp9kG0TcrMiCqGfk+SqZlwk3n6s8VTFOYS+qC5jNECdbjjds7
 tq1cKLKNSqnAUNZzF/ntftL75FsRbP+xy0p8ed6WK/Xmr9dXvDGBpCENpu5NXRuiIjfx
 1NIlwRrMjcwAJuhMGoGeeZKfc6Fe0cMBfG2tT98scV0OrTGASFqJg6WJS32jJGDUQPRq
 tGfwr9EVmJ7K4YW2MlOly4OKbq4nZARNzYZxRV9TJ/XrLhMFGfESOSTfUx74QSRL0DZm
 ZQ2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=oVVyfnBTBqxSDEwJR/PAmnJtMALSSgM30586qE+wcXk=;
 b=fe4X3hf6DPcWGWLCbrESnos3QtbLFpfu/G6OGfnMD4xdQ2CHsYdFdQEAE+bryx+8pw
 Pyf0Btq08M0gMMZjp4BRnX9nSFQqCUvKmVwENzspPc2u6dWt5aefbwn5TBPT4Vue4sj6
 2wdy7JjXYwo5IPLg77FVTTUq63ucot8/s7RNXgZaESozOWIYzcbQIbgnEE29DXvsZ4qS
 vK+XP+kgP+pBIBU2ULAsUjZ0lnSHhh67enVO/RKMUhCD9vahTvEB79LQZPBYD8bh4zCC
 BcTDeEhelTyfmaG5Pq0BIK5yLUoNijNpTDD/uWSrJRJBbRtA6b+febyvPQ5JuMbeyxRf
 0JBg==
X-Gm-Message-State: AGRZ1gIV/cTXKyaqUq7QLo+dj24YZ+Xbb1CP91kTqdwbR8Sv5rPUVHdB
 zO2l5eWUnqU1/o2EyeVV4pjjQZ74
X-Google-Smtp-Source: AJdET5cwQjZSwO+8LQQKN9s0cotnXBkRrtA7X8zQFVDBmFhlX49MixJUtX+SGxvsDXt/Qt4c7ENcbg==
X-Received: by 2002:a6b:f40e:: with SMTP id
 i14-v6mr2517899iog.278.1541211320481; 
 Fri, 02 Nov 2018 19:15:20 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 q205-v6sm1341701itc.2.2018.11.02.19.15.18
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 02 Nov 2018 19:15:18 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Bruno CHARRON <bruno@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
 <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
Date: Fri, 02 Nov 2018 22:15:17 -0400
In-Reply-To: <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
 (Bruno CHARRON's message of "Fri, 2 Nov 2018 09:50:57 +0900")
Message-ID: <87bm76j496.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

found 33230 24.4
tags 33230 + confirmed
quit

Bruno CHARRON <bruno@HIDDEN> writes:

> Basically I am typing 'x' repeatedly in the command line until it reaches the
> right screen edge.
> Setting term-log-buffer as t, I can see what the shell is sending to emacs in
> the Messages buffer.
> When I type 'x' in the middle of the screen, the shell responds 'x' to print an
> 'x' at the current cursor position.
> When I type 'x' on the last column, the shell responds 'x ^M^[[K', which I could
> understand with this explanation [1].
> It seems to be the standard way to ask the terminal to wrap the line under
> uncertainty on its behavior.
> First it asks to insert 'x' on the last column, then some terminals will wrap
> then but just in case it asks to insert an additional ' ' to force wrapping then
> erases the new line (carriage return '^M' then erase to end of line '^[[K', see
> [2]).
> If term.el processes 'x' first then ' ', it will wrap when processing the ' '
> but when term-suppress-hard-newline is t, it processes both at the same time and
> doesn't wrap due to the reason explained in the original post.

Ah, got it.  I got mixed up a few times, because I didn't realize it
only happens after the first line (otherwise there's nowhere to go back
up to).  I can reproduce this also with 24.4 (when
term-suppress-hard-newline was introduced).

It seems like this option is somewhat incompatible with shells, it's not
clear what the right behaviour would be.  You say the problem is that
there is no wrapping, but isn't term-suppress-hard-newline exactly
intended to suppress this kind of wrapping?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 2 Nov 2018 00:51:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 01 20:51:31 2018
Received: from localhost ([127.0.0.1]:59083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gINgQ-00039Q-MX
	for submit <at> debbugs.gnu.org; Thu, 01 Nov 2018 20:51:30 -0400
Received: from mx1.polytechnique.org ([129.104.30.34]:35961)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=YjH3=NN=charron.email=bruno@HIDDEN>)
 id 1gINgO-00039H-Sl
 for 33230 <at> debbugs.gnu.org; Thu, 01 Nov 2018 20:51:29 -0400
Received: from mail-wr1-f53.google.com (mail-wr1-f53.google.com
 [209.85.221.53])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by ssl.polytechnique.org (Postfix) with ESMTPSA id A26AF56123C
 for <33230 <at> debbugs.gnu.org>; Fri,  2 Nov 2018 01:51:25 +0100 (CET)
Received: by mail-wr1-f53.google.com with SMTP id d10-v6so293942wrs.5
 for <33230 <at> debbugs.gnu.org>; Thu, 01 Nov 2018 17:51:25 -0700 (PDT)
X-Gm-Message-State: AGRZ1gJviq+XxZXgtejkwCsPfwHRDXxYBJkzTn8/1sc3/2aagKSPbLLD
 8R0IPHCE5AFg6CcTxqhQJu0e3ykBlTlTTsXJj/k=
X-Google-Smtp-Source: AJdET5cIbIqn7XHgW6nHFjam7k15xnOGl+IxHi8lHQwv5dM28D/cvwN/zsyy5s8ogrY8dSjAr9q7l6bzZkHNB8M3qjM=
X-Received: by 2002:a5d:6309:: with SMTP id
 i9-v6mr8046070wru.163.1541119885119; 
 Thu, 01 Nov 2018 17:51:25 -0700 (PDT)
MIME-Version: 1.0
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 <87h8h0if4u.fsf@HIDDEN>
In-Reply-To: <87h8h0if4u.fsf@HIDDEN>
From: Bruno CHARRON <bruno@HIDDEN>
Date: Fri, 2 Nov 2018 09:50:57 +0900
X-Gmail-Original-Message-ID: <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
Message-ID: <CAKx9rszXVvO-in25dN=+Pe9HFAc7T37W7x_jd6gTnf0w5hi-5Q@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
To: npostavs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-AV-Checked: ClamAV using ClamSMTP at svoboda.polytechnique.org (Fri Nov 2
 01:51:25 2018 +0100 (CET))
X-Spam-Flag: No, tests=bogofilter, spamicity=0.100822, queueID=E240656123D
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)

On Fri, Nov 2, 2018 at 7:53 AM Noam Postavsky <npostavs@HIDDEN> wrote:
> Can you explain exactly what you're typing in?  I don't understand what
> 'x^M^[[K' means here.  Is specific to zsh?  Is it specific to your
> prompt settings?

Sorry the line break ate the space, the shell response is 'x ^M^[[K' and the
issue is with the space.

Basically I am typing 'x' repeatedly in the command line until it reaches the
right screen edge.
Setting term-log-buffer as t, I can see what the shell is sending to emacs in
the Messages buffer.
When I type 'x' in the middle of the screen, the shell responds 'x' to print an
'x' at the current cursor position.
When I type 'x' on the last column, the shell responds 'x ^M^[[K', which I could
understand with this explanation [1].
It seems to be the standard way to ask the terminal to wrap the line under
uncertainty on its behavior.
First it asks to insert 'x' on the last column, then some terminals will wrap
then but just in case it asks to insert an additional ' ' to force wrapping then
erases the new line (carriage return '^M' then erase to end of line '^[[K', see
[2]).
If term.el processes 'x' first then ' ', it will wrap when processing the ' '
but when term-suppress-hard-newline is t, it processes both at the same time and
doesn't wrap due to the reason explained in the original post.

When the command line has some attributes, e.g. bold red, the shell sends
'^[[1m^[[31mx^[[m^[[39m ^M^[[K', which means turn on bold ('^[[1m') red
('^[[31m'), insert 'x', reset attributes ('^[[m') and set default color
('^[[39m'), insert space, then '^M^[[K' as before.
Interestingly, in that case, term.el will first process the 'x' then the ' '
because there are control commands in between, and there is no issue (it wraps).

See a gif of that behavior in [3].

The behavior is the same with 'bash --norc', although it only returns 'x ^M', no
'^[[K'.
It does not depend on my prompt and also happens with 'zsh -f'.

[1] https://stackoverflow.com/a/31360700
[2] http://man7.org/linux/man-pages/man4/console_codes.4.html
[3] https://i.imgur.com/1dIQ8c6.gif




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at 33230 <at> debbugs.gnu.org:


Received: (at 33230) by debbugs.gnu.org; 1 Nov 2018 22:53:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 01 18:53:32 2018
Received: from localhost ([127.0.0.1]:59032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gILqG-0006iR-34
	for submit <at> debbugs.gnu.org; Thu, 01 Nov 2018 18:53:32 -0400
Received: from mail-it1-f177.google.com ([209.85.166.177]:51297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1gILqE-0006i9-2f
 for 33230 <at> debbugs.gnu.org; Thu, 01 Nov 2018 18:53:30 -0400
Received: by mail-it1-f177.google.com with SMTP id h13so840312itl.1
 for <33230 <at> debbugs.gnu.org>; Thu, 01 Nov 2018 15:53:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=lkQFqENfO/T7QnoHDGCSwWVoMV1wUJbINnguN4w8WYA=;
 b=tSTvshekNEtcFfdR3yp1GlavQbPnok6FFEf8i1RpocaUrIw0oIxYSQZ8+olO3DfJbE
 cUnGJ1aHhP5kln9DHXYV5RhzRn0EM+dX6rnGqYjkSxc5spcAnRB6bKwTJ6eZNBZoR9is
 dkIb5e9vGJsF8O2irS/WHIlVZLxNDTHyrIQj/ZP0anEYK8VrARCMwtphceU/3Xz9wwh1
 Y4zA37xEw+vQ0f7W5pILA0kFYkC6fd0BAIbxUjZajr/N3/Y+D7LEXF4Ii2NCtnLa99z5
 1aeo9mKVx3YPsk1VwUU+/N61UwlpRm6JiqptBDIQBnkNLJHS2+2h+pAJlaKtsxBwzIQx
 v3rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=lkQFqENfO/T7QnoHDGCSwWVoMV1wUJbINnguN4w8WYA=;
 b=iTPmehw5U63qhfwHYGI4l38pOtMaaHHyI+jHH2GuOXvEKs+y3n8KtZHGBMMSwaGGV6
 Kz9WrAZNVHUip4J4cPaHz6AGrj38lmcdjHoGj8vuTq6a172GvxJm9gbmjfG2i2h5Y4rs
 wb5F8/gq7bMQ880MYuI8XubMwA2u8y5e5el2k5o6WKDB7tYuSbcQXXwu+rOf6XL2fOne
 0zfQuuFIjYSm93yHQZCRSLnCQQub7deoJLTw3rDo5yxhmzLncXZYACuAxdmPnjA8lGXJ
 mjJ1hive+itSWytltj4pVNGyyBDGSZ9t8rcCaTM/1vCTHiPXoYvn1fbAJUpin/c82VP7
 LYPg==
X-Gm-Message-State: AGRZ1gLXRmpsYlByenSIuDwu+vHFxxq/8yEZ5Z/QPLzSuWR+gLSjR8or
 nLyNqnBHi4ObIgsqry5+fAXMipgA
X-Google-Smtp-Source: AJdET5eUz/WlQP13VnC4X/4JNNn54FH3AqLLgZXgcSG2h6NTdRgirX4i6oQeABRl8e8d9vdqdmcNPw==
X-Received: by 2002:a24:7012:: with SMTP id
 f18-v6mr7052383itc.87.1541112804097; 
 Thu, 01 Nov 2018 15:53:24 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 197-v6sm13229313iou.87.2018.11.01.15.53.22
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 01 Nov 2018 15:53:23 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Bruno CHARRON <bruno@HIDDEN>
Subject: Re: bug#33230: 26.1;
 Soft-wrap issue in term.el with term-suppress-hard-newline
References: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
Date: Thu, 01 Nov 2018 18:53:21 -0400
In-Reply-To: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
 (Bruno CHARRON's message of "Fri, 2 Nov 2018 03:11:09 +0900")
Message-ID: <87h8h0if4u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33230
Cc: 33230 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Bruno CHARRON <bruno@HIDDEN> writes:

> Running 'emacs -Q', I load the latest 'term.el' in master (commit
> bd36ab5), then set term-suppress-hard-newline to 't' and launch 'term'
> with zsh as shell.
> When typing a command which overflows the screen width, the shell sends
> a "soft-wrap" after typing a character on the last column, say 'x
> ^M^[[K' after typing 'x' but 'term' does not wrap, it continues the same
> row.

Can you explain exactly what you're typing in?  I don't understand what
'x^M^[[K' means here.  Is specific to zsh?  Is it specific to your
prompt settings?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Nov 2018 18:30:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 01 14:30:40 2018
Received: from localhost ([127.0.0.1]:58780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gIHjs-0008Vz-0I
	for submit <at> debbugs.gnu.org; Thu, 01 Nov 2018 14:30:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <SRS0=6XzD=NM=charron.email=bruno@HIDDEN>)
 id 1gIHRy-00080A-HC
 for submit <at> debbugs.gnu.org; Thu, 01 Nov 2018 14:12:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <SRS0=6XzD=NM=charron.email=bruno@HIDDEN>)
 id 1gIHRl-0005Q9-QH
 for submit <at> debbugs.gnu.org; Thu, 01 Nov 2018 14:12:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58400)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71)
 (envelope-from <SRS0=6XzD=NM=charron.email=bruno@HIDDEN>)
 id 1gIHRi-0005O3-KV
 for submit <at> debbugs.gnu.org; Thu, 01 Nov 2018 14:11:55 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51642)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <SRS0=6XzD=NM=charron.email=bruno@HIDDEN>)
 id 1gIHRh-0000Rk-Lg
 for bug-gnu-emacs@HIDDEN; Thu, 01 Nov 2018 14:11:54 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <SRS0=6XzD=NM=charron.email=bruno@HIDDEN>)
 id 1gIHRc-0005It-PO
 for bug-gnu-emacs@HIDDEN; Thu, 01 Nov 2018 14:11:53 -0400
Received: from mx1.polytechnique.org ([129.104.30.34]:43127)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71)
 (envelope-from <SRS0=6XzD=NM=charron.email=bruno@HIDDEN>)
 id 1gIHRc-0005Eu-HM
 for bug-gnu-emacs@HIDDEN; Thu, 01 Nov 2018 14:11:48 -0400
Received: from mail-wr1-f48.google.com (mail-wr1-f48.google.com
 [209.85.221.48])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by ssl.polytechnique.org (Postfix) with ESMTPSA id 648D95605F8
 for <bug-gnu-emacs@HIDDEN>; Thu,  1 Nov 2018 19:11:37 +0100 (CET)
Received: by mail-wr1-f48.google.com with SMTP id 74-v6so12759265wrb.13
 for <bug-gnu-emacs@HIDDEN>; Thu, 01 Nov 2018 11:11:37 -0700 (PDT)
X-Gm-Message-State: AGRZ1gIEgw+8yaTbh3jyQoZ1fZy3uLEJHUfNtw4f1NmcnobaC+8aj51a
 /1lBCp3P+hxVxUkpsRTybUXKzdwrpmjpVcGwkb4=
X-Google-Smtp-Source: AJdET5fdSnpyQ4+x+FYykxPLrG6nsW1wP6j8myjOPi56LPTspfRIa6SuSaVCWM4/51RsY00P8PAIq7PwePfm/lVzDCc=
X-Received: by 2002:adf:b612:: with SMTP id
 f18-v6mr6946703wre.120.1541095896759; 
 Thu, 01 Nov 2018 11:11:36 -0700 (PDT)
MIME-Version: 1.0
From: Bruno CHARRON <bruno@HIDDEN>
Date: Fri, 2 Nov 2018 03:11:09 +0900
X-Gmail-Original-Message-ID: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
Message-ID: <CAKx9rsxSXH+RWrDjUcgiH0fTDdEPdCm8E+7hwhWgpzirO=eQew@HIDDEN>
Subject: 26.1; Soft-wrap issue in term.el with term-suppress-hard-newline
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-AV-Checked: ClamAV using ClamSMTP at svoboda.polytechnique.org (Thu Nov 1
 19:11:38 2018 +0100 (CET))
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 01 Nov 2018 14:30:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

Running 'emacs -Q', I load the latest 'term.el' in master (commit
bd36ab5), then set term-suppress-hard-newline to 't' and launch 'term'
with zsh as shell.
When typing a command which overflows the screen width, the shell sends
a "soft-wrap" after typing a character on the last column, say 'x
^M^[[K' after typing 'x' but 'term' does not wrap, it continues the same
row.
Then when hitting backspace, the shell asks to go up a row '^[[A' and
the 'term' state becomes inconsistent as it did not go down before.
The reason seems to be that at line 2912 (term.el, commit bd36ab5), 'x '
is inserted which makes the cursor go one column past the edge of the
screen and the wrapping at line 2936 only checks that the cursor is
exactly at the edge of the screen.
When term-suppress-hard-newline is nil, the wrapping is properly done
thanks to the '>' condition at line 2903.

In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2018-05-29 built on lgw01-amd64-038
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: Ubuntu 16.04.5 LTS




Acknowledgement sent to Bruno CHARRON <bruno@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33230; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Nov 2018 09:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.